Qt 5.6 | Qt 3D | C++ Classes | QItemModelBuffer

Qt 5.6.3 Reference Documentation

# QItemModelBuffer Class

(Qt3DRender::QItemModelBuffer)

- List of all members, including inherited members

## Public Functions

| QItemModelBuffer()
QAttribute * | attributeByName(QString nm) const
QStringList | attributeNames() const
QBuffer * | buffer()
void | mapRoleName(QByteArray roleName, int type)
void | mapRoleName(QByteArray roleName, QString attributeName, int type)
void | setModel(QAbstractItemModel *model)
void | setRoot(const QModelIndex &rootIndex)

## Member Function Documentation

### QItemModelBuffer::QItemModelBuffer()

Default constructs an instance of QItemModelBuffer.

### QAttribute *QItemModelBuffer::attributeByName(QString nm) const

### QStringList QItemModelBuffer::attributeNames() const

### QBuffer *QItemModelBuffer::buffer()

### void QItemModelBuffer::mapRoleName(QByteArray roleName, int type)

### void QItemModelBuffer::mapRoleName(QByteArray roleName, QString attributeName, int type)

### void QItemModelBuffer::setModel(QAbstractItemModel *model)

### void QItemModelBuffer::setRoot(const QModelIndex &rootIndex)